ApiAuth settings
Delete OAuth provider
Permanently remove an OAuth provider and its encrypted credentials. Requires admin or owner role.
Authorization
User API Key AuthorizationBearer <token>
User API key (mgw_usr_live_* or mgw_usr_test_*)
In: header
Path Parameters
provider_type*string
Cookie Parameters
access_token?|
Response Body
application/json
curl -X DELETE "https://loading/api/v1/settings/auth/providers/string"Empty
{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string",
"input": null,
"ctx": {}
}
]
}Create OAuth provider
Create a new OAuth provider configuration with encrypted client secret. The secret is never returned in API responses. Requires admin or owner role.
Get authentication settings
Return global authentication configuration including allowed domains, admin emails, and token expiration settings. Requires admin or owner role.
